2019-08-24 11:39 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005047Spring engineGeneralpublic2016-01-28 04:00
Reporterhokomoko 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target Version101.0Fixed in Version100.0+git 
Summary0005047: incorrect command origin/icon drawing position
DescriptionOn some units command lines originate now from a place far from the unit, where the icon is also drawn when you're zoomed out
Steps To Reproducestart ZK
/give corshad
give an order, zoom out etc.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015573

Kloot (developer)

Last edited: 2016-01-28 02:06

View 4 revisions

It seems corshad contains some empty pieces that affect the drawMidPos calculation, and its model bounding box is ginormous so probably the mins/maxs are wrong [edit: yup].

[edit2: it also seems I pushed the fix at a bad time, closing manually]

remote: Unexpected system error after push was received.
remote: These changes may not be reflected on github.com!
To git@github.com:spring/spring.git
   f889853..0427719 develop -> develop

~0015575

Anonymous (viewer)

Fix 04277195bc228eef14a9924c9d7065f3efd02126 committed to develop branch: fix 0005047, repo: spring changeset id: 6440
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-01-27 23:51 hokomoko New Issue
2016-01-28 01:21 Kloot Note Added: 0015573
2016-01-28 01:28 Kloot Note Edited: 0015573 View Revisions
2016-01-28 01:47 Kloot Note Edited: 0015573 View Revisions
2016-01-28 02:06 Kloot Note Edited: 0015573 View Revisions
2016-01-28 02:06 Kloot Status new => resolved
2016-01-28 02:06 Kloot Fixed in Version => 100.0+git
2016-01-28 02:06 Kloot Resolution open => fixed
2016-01-28 02:06 Kloot Assigned To => Kloot
2016-01-28 04:00 Changeset attached => spring develop 04277195
2016-01-28 04:00 Anonymous Note Added: 0015575
+Issue History